button {
    cursor: pointer;
}

a {
    &:hover {
        text-decoration: none;
    }
}

.btn {
    position: relative;
    height: 55px;
    padding: 8px 22px 6px;

    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 0;

    font-size: 18px;
    line-height: 21px;
    text-decoration: none;

    cursor: pointer;
    border: 0;
    border-radius: 10px;

    text-decoration: none;
    background: $grad;

    color: $black;
    font-weight: 700;

    &:hover {
        background: #21ce92;
        color: #fff;
    }

    .loader {
        animation: spin 1.5s linear infinite;
    }

    &.btn-grad {
        background: $grad-2;

        &:hover {
            background: #21ce92;
            color: #fff;
        }

        &.disabled,
        &:disabled {
            opacity: 0.4;
            cursor: default;
            background: #fff;

            &:hover {
                color: $black;
            }
        }

        &.disabled-loading {
            background: $grad-2 !important;
            opacity: 1 !important;
        }
    }

    &.disabled,
    &:disabled {
        opacity: 0.4;
        cursor: default;
        background: #fff;

        &:hover {
            color: $black;
        }
    }

    // размеры 

    &.btn-lg {
        height: 70px;
        font-size: 20px;
        line-height: 21px;
    }

    &.btn-md {
        height: 46px;
        font-size: 16px;
        line-height: 17px;
    }

    &.btn-sm {
        height: 32px;
        font-size: 14px;
        padding: 8px 14px 6px;
        border-radius: 8px;

        .arrow {
            width: 16px;
            height: 16px;
            opacity: 0.6;
            margin-right: -4px;
            margin-left: 4px;
        }
    }

    // цвет 

    &.btn-yellow {
        background: $orange;

        &:hover {
            background-color: #C6742C;
        }

        &.disabled,
        &:disabled {
            opacity: 0.4;
            cursor: default;
            background: $orange;

            &:hover {
                color: $black;
            }
        }

        &.disabled-loading {
            background: $orange;
            opacity: 1 !important;
        }
    }

    &.btn-red {
        background: $red;
        color: #fff;

        &:hover {
            background: #BA2E2E;
        }
    }

    &.btn-white {
        background: #fff;
        color: $black;

        &:hover {
            background: $green2;
        }
    }

    &.btn-gray {
        background: rgba(#fff, 0.05);
        color: #fff;

        &:hover,
        &:focus,
        &.active {
            background: rgba(#fff, 0.1);
        }

        &.disabled,
        &:disabled {
            opacity: 0.4;
            cursor: default;
            background: rgba(#fff, 0.05);
            color: #fff;
        }
    }

    &.btn-border {
        background: transparent;
        border: 1px solid $green1;
        color: #fff;

        &:hover {
            background: $green1;
            color: $black;
        }
    }

    &.btn-rounded {
        border-radius: 40px;
    }

    @media(min-width: $md) {
        &.btn-lg {
            height: 76px;
        }
    }

}

.btn-outline {
    background: transparent;
    border: 1px solid $green1;
    color: $green1;

    svg {
        margin-right: 12px;
    }

    .white {
        fill: #fff;
    }

    .green {
        fill: $green1;
    }

    &:hover {
        background: #21CE92;
        color: #fff;

        .green {
            fill: #fff;
        }
    }

    &.disabled,
    &:disabled {
        opacity: 0.4;
        cursor: default;
        background: transparent;
        border-color: #fff;
        color: #fff;

        &:hover {
            color: #fff;
        }
    }
}

.btn-outline-white {
    background: transparent;
    border: 1px solid #fff;
    color: #fff;

    &:hover {
        background: #fff;
        color: $black;
    }

    &.disabled,
    &:disabled {
        opacity: 0.4;
        cursor: default;
        background: #fff;

        &:hover {
            color: $black;
        }
    }
}

.btn-connect {
    height: 32px;
    font-size: 14px;
    border-radius: 8px;

    @media(min-width: $md) {
        height: 46px;
        font-size: 18px;
        border-radius: 10px;
    }
}

.btn-img {
    padding: 8px 16px 6px;

    img,
    svg {
        display: block;
    }

    &.btn-sm {
        padding: 8px 6px 6px;

        img,
        svg {
            width: 20px;
            height: 20px;
        }
    }
}

.btns-group {
    display: flex;

    .btn-group {
        margin-right: 2px;

        &>.btn {
            border-radius: 0;
        }

        &:first-child {
            &>.btn {
                border-top-left-radius: 10px;
                border-bottom-left-radius: 10px;

                &.btn-sm {
                    border-top-left-radius: 6px;
                    border-bottom-left-radius: 6px;
                }
            }
        }

        &:last-child {
            margin-right: 0;

            &>.btn {
                border-top-right-radius: 10px;
                border-bottom-right-radius: 10px;

                &.btn-sm {
                    border-top-right-radius: 6px;
                    border-bottom-right-radius: 6px;
                }
            }
        }
    }
}

// оббертка для кнопки в .btns-group или если с дропом
.btn-group {
    position: relative;
    display: inline-block;
}

// дроп для кнопки внутри .btn-group
.btn-dropdown {
    position: absolute;
    right: 0;
    top: 100%;
    z-index: 10;


    ul {
        list-style-type: none;
        padding: 0;
        margin: 4px 0 0;
        background: linear-gradient(180deg, rgba(0, 0, 0, 0.04) 0%, rgba(0, 0, 0, 0.198) 100%), #343434;
        border-radius: 10px;
        width: 200px;
        padding: 2px 0;
        color: #fff;
        z-index: 10;
        overflow: auto;

        &::-webkit-scrollbar {
            width: 6px;
            background-color: transparent;
            background-color: #484848;
            border-radius: 0;
        }

        &::-webkit-scrollbar-thumb {
            background-color: rgba(#fff, 0.3);
            border-radius: 0;
        }

        li {
            padding: 0;
            border-bottom: 1px solid rgba(#fff, 0.2);

            &:last-child {
                border-bottom: 0;
            }
        }

        button {
            background: transparent;
            border: 0;
            width: 100%;
            padding: 10px 16px;
            font-size: 14px;
            line-height: 18px;
            text-align: center;
            font-weight: 500;
            color: #fff;

            &:hover {
                opacity: 0.6;
            }
        }

        .data {
            display: block;
            font-size: 16px;
            text-transform: uppercase;
            margin-top: 3px;
            font-weight: bold;
            color: $green1;
            word-break: break-word;
            white-space: normal;
        }
    }
}


.btn-link {
    height: 55px;
    padding: 8px 22px 6px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: inherit;
    background: transparent;
    border: 0;
    text-decoration: underline;

    &:hover {
        text-decoration: none;
    }
}

.link-style {
    background: transparent;
    border: 0;
    padding: 0;
    display: inline-block;
    color: inherit;
    text-decoration: underline;
    text-align: left;

    &:hover {
        text-decoration: none;
    }
}

.btn-more {
    height: auto;
    border: 0;
    text-decoration: none;
    padding: 0;
    background: transparent;
    color: $green2;

    &:hover {
        color: #fff;
    }
}

.btn-token-link {
    position: absolute;
    width: 32px;
    height: 32px;
    background: rgba(20, 22, 22, 0.2);
    border-radius: 6px;
    top: 10px;
    right: 16px;
    z-index: 5;
    padding: 0;
    border: 0;
    display: flex;
    justify-content: center;
    align-items: center;

    img {
        display: block;
    }

    &:hover {
        opacity: 0.7;
    }

    @media(min-width: $sm) {
        right: 30px;
    }
}

.btn-csv {
    padding: 0;
    text-decoration: underline;
}

.btn-add {
    padding: 0;
    height: 25px;
    width: 25px;
    border-radius: 50%;
    border: 0;
    background: #fff;
    display: inline-flex;
    vertical-align: middle;
    align-items: center;
    justify-content: center;
    margin-left: 8px;
    flex-shrink: 0;

    img {
        display: block;
    }

    &:hover {
        opacity: 0.6;
    }
}

.btn-copy {
    position: relative;
    padding: 0;
    border: 0;
    background: transparent;
    color: #fff;

    span {
        margin-right: 8px;
    }

    img {
        position: relative;
        top: 2px;
        width: 14px;
        height: auto;
    }

    .btn-action-info {
        right: -8px;
    }
}

.btn-action-info {
    // display: none;
    position: absolute;
    top: 120%;
    right: 0;
    font-size: 14px;
    padding: 9px 16px;
    border-radius: 30px;
    color: #fff;
    background-color: $black;
    background-color: #141616;
    font-weight: 300;
    z-index: 10;
    margin: 0;
}

.btn-action {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 32px;
    height: 32px;
    background-color: transparent;
    border: 0;
    padding: 0;

    svg {
        display: block;
    }

    &:hover {
        opacity: 0.5;
    }
}

.btn-wallet {
    width: 100%;
    height: 112px;
    padding: 10px 22px 8px;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    border: 0;
    border-radius: 20px;
    background-color: $gray;
    color: #fff;
    font-size: 20px;
    line-height: 50px;
    font-weight: bold;

    .img {
        width: 74px;
        margin-right: 28px;
    }

    img {
        display: block;
        margin: 0 auto
    }

    @media(min-width: $sm) {
        font-size: 24px;
    }

    @media(min-width: $md) {
        padding: 10px 30px 8px;
        font-size: 24px;
    }

    &:hover {
        color: rgba(#fff, 0.6);
    }
}

.ex-link {
    color: #fff;
    text-decoration: none;

    .i-ex {
        display: inline-block;
        vertical-align: top;
        opacity: 0.6;
    }

    &:hover {
        .i-ex {
            opacity: 1;
        }
    }
}


.breadcrumbs {
    margin-top: -24px;
    margin-bottom: 24px;

    .item-back {
        display: inline-flex;
        padding-right: 16px;

        svg {}
    }
}